Page MenuHomePhabricator

[ms] [llvm-ml] Implement the expression expansion operator
ClosedPublic

Authored by epastor on Oct 19 2020, 2:03 PM.

Details

Summary

In text-item contexts, %expr expands to a string containing the results of evaluating expr.

Diff Detail

Event Timeline

epastor created this revision.Oct 19 2020, 2:03 PM
Herald added a project: Restricted Project. · View Herald TranscriptOct 19 2020, 2:03 PM
epastor requested review of this revision.Oct 19 2020, 2:03 PM
epastor updated this revision to Diff 299151.Oct 19 2020, 2:06 PM

Fix missing brackets around a case block

Harbormaster completed remote builds in B75594: Diff 299151.
epastor updated this revision to Diff 299165.Oct 19 2020, 2:14 PM

Removed debug line

The diff looks like maybe there was a rebasing accident (?)

llvm/lib/MC/MCParser/MasmParser.cpp
3302

This branch seems unrelated to this patch (?)

5541

also looks unrelated (?)

6018

llvm code style says no else after return; lhs code was better

epastor updated this revision to Diff 303169.Nov 5 2020, 10:33 AM

Rebase on HEAD

thakis requested changes to this revision.Nov 13 2020, 8:50 AM
thakis added inline comments.
llvm/lib/MC/MCParser/MasmParser.cpp
3216–3217

Was the patch that added this already landed? If not, maybe remove it there instead of here :)

6018

(this is still not addressed)

This revision now requires changes to proceed.Nov 13 2020, 8:50 AM
epastor updated this revision to Diff 307130.Nov 23 2020, 11:20 AM
epastor marked 2 inline comments as done.

Rebase on parent (pushed a change further up the stack)

epastor updated this revision to Diff 307158.Nov 23 2020, 12:07 PM
epastor marked an inline comment as done.

Remove "return/else" branches to match LLVM style

epastor marked 2 inline comments as done.Nov 23 2020, 12:08 PM
epastor added inline comments.
llvm/lib/MC/MCParser/MasmParser.cpp
3302

This is part of unifying handling for all textitem forms, including textmacros.

5541

This fixes an unrelated bug discovered in the course of testing this commit - before, there was no error for a failure to parse the textitem.

6018

Addressed now; thanks!

thakis accepted this revision.Nov 25 2020, 8:27 AM
This revision is now accepted and ready to land.Nov 25 2020, 8:27 AM
This revision was landed with ongoing or failed builds.Nov 25 2020, 1:11 PM
This revision was automatically updated to reflect the committed changes.
epastor marked an inline comment as done.